> ## Documentation Index
> Fetch the complete documentation index at: https://support.lilt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Job

> Updates a job with the new job properties. To update a specific job, you will need the job `id` in the url path.

You can update job's name and due date by passing the property and new value in the body.

Example CURL command:

```bash
curl -X PUT 'https://api.lilt.com/v2/jobs/{id}?key=API_KEY' \
--header 'Content-Type: application/json' \
--data-raw '{
  "name": "test job",
  "due": "2022-05-05T10:56:44.985Z"
}'
```



## OpenAPI

````yaml /api-reference/openapi-bundled.yaml put /v2/jobs/{jobId}
openapi: 3.0.3
info:
  title: LILT API
  description: >
    LILT API Support: https://lilt.atlassian.net/servicedesk/customer/portals


    The LILT API enables programmatic access to the full-range of LILT backend
    services including:
      * Training of and translating with interactive, adaptive machine translation
      * Large-scale translation memory
      * The Lexicon (a large-scale termbase)
      * Programmatic control of the LILT CAT environment
      * Translation memory synchronization


    Requests and responses are in JSON format. The REST API only responds to
    HTTPS / SSL requests.


    The base url for this REST API is `https://api.lilt.com/`.


    ## Authentication


    Requests are authenticated via API key, which requires the Business plan.


    Requests are authenticated using [HTTP Basic
    Auth](https://en.wikipedia.org/wiki/Basic_access_authentication). Add your
    API key as both the `username` and `password`.


    For development, you may also pass the API key via the `key` query
    parameter. This is less secure than HTTP Basic Auth, and is not recommended
    for production use.


    ## Quotas


    Our services have a general quota of 4000 requests per minute. Should you
    hit the maximum requests per minute, you will need to wait 60 seconds before
    you can send another request.
  version: v3.0.3
  license:
    name: LILT Platform Terms and Conditions
    url: https://lilt.com/lilt-platform-terms-and-conditions
servers:
  - url: https://api.lilt.com
security:
  - BasicAuth: []
  - ApiKeyAuth: []
paths:
  /v2/jobs/{jobId}:
    put:
      tags:
        - Jobs
      summary: Update a Job
      description: >-
        Updates a job with the new job properties. To update a specific job, you
        will need the job `id` in the url path.


        You can update job's name and due date by passing the property and new
        value in the body.


        Example CURL command:


        ```bash

        curl -X PUT 'https://api.lilt.com/v2/jobs/{id}?key=API_KEY' \

        --header 'Content-Type: application/json' \

        --data-raw '{
          "name": "test job",
          "due": "2022-05-05T10:56:44.985Z"
        }'

        ```
      operationId: updateJob
      parameters:
        - name: jobId
          in: path
          description: A job id.
          required: true
          schema:
            type: integer
      requestBody:
        description: The Job resource to update.
        content:
          application/json:
            schema:
              title: JobUpdateParameters
              type: object
              properties:
                name:
                  type: string
                  description: A name for the Job.
                  example: My new Job
                due:
                  type: string
                  format: date-time
                  description: An ISO string date.
                  example: '2021-10-05T14:48:00.000Z'
                isProcessing:
                  type: string
                  description: >
                    The processing status of the job. Provide one of the
                    following

                    integers to indicate the status.


                    Ok = 0

                    Started = 1

                    ExportError = -2
                  example: ExportError
                  enum:
                    - '0'
                    - '1'
                    - '-2'
                processingErrorMsg:
                  type: string
                  description: The processing error message.
                  example: Authentication failed. Check your Contentful API Key.
        required: false
      responses:
        '200':
          description: A job object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Job'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Job:
      type: object
      properties:
        name:
          type: string
          description: A name for the job.
          example: My New Job
        creationStatus:
          type: string
          description: >-
            Status of job creation process that includes PENDING, COMPLETE, and
            FAILED.
          example: COMPLETE
        deliveredAt:
          type: string
          format: date-time
          example: '2021-06-03T13:43:00Z'
        status:
          type: string
          description: Current status of job that includes archived, delivered, and active.
          example: active
        due:
          type: string
          description: An ISO string date.
          format: date-time
          example: '2021-06-03T13:43:00Z'
        id:
          type: integer
          description: An id for the job.
          example: 241
        isProcessing:
          type: integer
          description: >-
            Values include `1` while in progress, `0` when idle and `-2` when
            processing failed.
          example: 0
        stats:
          $ref: '#/components/schemas/JobStats'
        domains:
          type: array
          description: >-
            Domains associated with this Job. Returned on the `GET
            /v2/jobs/{jobId}` response so callers can drive domain-specific
            behaviour (e.g. quality thresholds) without falling back to
            BigQuery.
          items:
            $ref: '#/components/schemas/JobDomain'
      description: >
        A Job is a collection of multiple Projects. Each project is specific to
        a language pair, and is associated with exactly one Memory for that
        language pair. The Memory association cannot be changed after the
        Project is created.
    Error:
      type: object
      properties:
        message:
          type: string
          description: A human-readable message describing the error.
      description: |
        Response in the event of an unexpected error.
      example:
        message: Internal server error.
    JobStats:
      type: object
      properties:
        exactWords:
          type: integer
          description: Total number of exact words.
          example: 0
        fuzzyWords:
          type: integer
          description: Total number of fuzzy words.
          example: 0
        newWords:
          type: integer
          description: Total number of fuzzy words.
          example: 0
        numDeliveredProjects:
          type: integer
          description: Total number of delivered projects.
          example: 0
        numLanguagePairs:
          type: integer
          description: Total number of delivered projects.
          example: 0
        numProjects:
          type: integer
          description: Total number of projects.
          example: 0
        percentReviewed:
          type: integer
          description: Overall percentage of documents reviewed.
          example: 0
        percentTranslated:
          type: integer
          description: Overall percentage of documents translated.
          example: 0
        projects:
          type: array
          items:
            $ref: '#/components/schemas/JobProject'
        sourceWords:
          type: integer
          description: Total number of source words.
          example: 0
        uniqueLanguagePairs:
          type: integer
          description: Number of unique language pairs.
          example: 1
        uniqueLinguists:
          type: integer
          description: Number of unique linguists.
          example: 1
        workflowStatus:
          type: string
          description: The status of the Workflow for the current job.
          example: READY_TO_START
          enum:
            - READY_TO_START
            - IN_PROGRESS
            - DONE
      description: >
        A job stats shows an overview of job's statistical data including total
        number of exact words, fuzzy words, language pairs, projects, etc.
    JobDomain:
      type: object
      description: A domain assigned to a Job.
      properties:
        id:
          type: integer
          description: A unique number identifying the Domain.
          example: 12
        name:
          type: string
          description: The Domain name.
          example: Marketing
      required:
        - id
        - name
    JobProject:
      type: object
      properties:
        id:
          type: integer
          description: An id for the project.
        srcLang:
          type: string
          description: Source language, an ISO 639-1 language identifier.
          example: en
        srcLocale:
          type: string
          description: A locale identifier, supported for source language.
          example: US
        trgLang:
          type: string
          description: Target language, an ISO 639-1 language identifier.
          example: fr
        trgLocale:
          type: string
          description: A locale identifier, supported for target language.
          example: CA
        name:
          type: string
          description: A name for the project.
          example: My new project
        due:
          type: string
          description: An ISO date.
          example: '2021-10-03T13:43:00.000Z'
        isComplete:
          type: boolean
          description: A state that checks project was completed.
          example: false
        isArchived:
          type: boolean
          description: The archived state of the project.
          example: false
        state:
          type: string
          description: >-
            Current state of the project. Example, backlog, inProgress,
            inReview, done.
          example: inProgress
        numSourceTokens:
          type: integer
          description: Total number of source tokens.
          example: 2134
        createdAt:
          type: string
          description: Time at which the object was created.
          example: '2021-04-01T13:43:00.000Z'
        updatedAt:
          type: string
          description: Time at which the object was updated.
          example: '2021-06-03T13:43:00.000Z'
        isDeleted:
          type: boolean
          description: A state that checks project was deleted.
          example: false
        memoryId:
          type: integer
          description: A unique number identifying the associated Memory.
          example: 2134
        workflowStatus:
          type: string
          description: The status of the Workflow for the current project.
          example: READY_TO_START
          enum:
            - READY_TO_START
            - IN_PROGRESS
            - DONE
        workflowName:
          type: string
          description: >-
            Human readable name of the workflow associated with the current
            project.
          example: Translate > Review > Analyst Review
      description: >
        A job project contains project statistical data that belongs to a
        specific job.
  responses:
    UnauthorizedError:
      description: Unauthorized
      content:
        application/octet-stream:
          schema:
            type: string
        text/plain:
          schema:
            type: string
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
    ApiKeyAuth:
      type: apiKey
      name: key
      in: query

````